
async function getCurrentTab() {
    let queryInfo = {};
    queryInfo['active'] = true;
    queryInfo['currentWindow'] = true;
    let [result] = await chrome['tabs']['query'](queryInfo);
    return result;
}

function setup() {
    let currentTab = getCurrentTab();
    let tabInfo = {};
    tabInfo['tabId'] = currentTab['id'];
    let scriptOptions = {};
    scriptOptions['target'] = tabInfo;
    scriptOptions['files'] = ['jquery.js'];
    chrome['scripting']['executeScript'](scriptOptions);
    let savedGames = localStorage['getItem']('jogos_salvar');
    $('#jogos_box')['val'](savedGames);

    setInterval(update, 1000);
}

function selecionarLoteria(id) {
    document.querySelector('#menuPrincipal a#' + id).click();
}

let modalidade_alterar = document['getElementById']('modalidade_code');

modalidade_alterar.addEventListener('change', async () => {
    let modalidade = modalidade_alterar.value;
    let tabInfo = await getCurrentTab();
    let scriptArgs = {};
    scriptArgs.tabId = tabInfo.id;
    let scriptOptions = {};

    scriptOptions.target = scriptArgs;
    scriptOptions.func = selecionarLoteria;
    scriptOptions.args = [modalidade];

    chrome.scripting.executeScript(scriptOptions, result => { });

    $('#teimosinhavalor option').remove();
    $('.apostarespelho').removeClass('active');
    $('.mesescolhido').removeClass('active');
    $('.trevo_seletor').removeClass('active');
    $('.selecao_qtd_trevos').removeClass('active');
    $('.timeCoracao').removeClass('active');

    switch (modalidade) {
        case 'Mega-Sena':
            $('#loteria_id').val('1');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 2</option><option value="2">Teimosinha de 4</option><option value="3">Teimosinha de 8</option>');
            break;
        case 'data-jogo-mega-sena-especial':
            $('#loteria_id').val('1');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option>');
            break;
        case 'Lotofácil':
            $('#loteria_id').val('2');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 2</option><option value="2">Teimosinha de 3</option><option value="3">Teimosinha de 4</option><option value="4">Teimosinha de 6</option><option value="5">Teimosinha de 8</option><option value="6">Teimosinha de 9</option><option value="7">Teimosinha de 12</option><option value="8">Teimosinha de 18</option><option value="9">Teimosinha de 24</option>');
            break;
        case 'data-jogo-lotofacil-especial':
            $('#loteria_id').val('2');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option>');
            break;
        case 'Lotomania':
            $('#loteria_id').val('3');
            $('.apostarespelho').addClass('active');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 2</option><option value="2">Teimosinha de 4</option><option value="3">Teimosinha de 8</option>');
            break;
        case 'Quina':
            $('#loteria_id').val('4');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 3</option><option value="2">Teimosinha de 6</option><option value="3">Teimosinha de 12</option><option value="4">Teimosinha de 18</option><option value="5">Teimosinha de 24</option>');
            break;
        case 'data-jogo-quina-especial':
            $('#loteria_id').val('4');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option>');
            break;
        case 'Dia-de-Sorte':
            $('#loteria_id').val('5');
            $('.mesescolhido').addClass('active');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 3</option><option value="2">Teimosinha de 6</option><option value="3">Teimosinha de 9</option><option value="4">Teimosinha de 12</option>');
            break;
        case 'Dupla-Sena':
            $('#loteria_id').val('6');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 2</option><option value="2">Teimosinha de 3</option><option value="3">Teimosinha de 4</option><option value="4">Teimosinha de 6</option><option value="5">Teimosinha de 8</option><option value="6">Teimosinha de 9</option><option value="7">Teimosinha de 12</option>');
            break;
        case 'data-jogo-dupla-sena-especial':
            $('#loteria_id').val('6');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option>');
            break;
        case 'Super-Sete':
            $('#loteria_id').val('7');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 3</option><option value="2">Teimosinha de 6</option><option value="3">Teimosinha de 9</option><option value="4">Teimosinha de 12</option></select>');
            break;
        case 'Timemania':
            $('#loteria_id').val('8');
            $('.timeCoracao').addClass('active');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 3</option><option value="2">Teimosinha de 6</option><option value="3">Teimosinha de 9</option><option value="4">Teimosinha de 12</option>');
            break;
        case 'Mais-Milionaria':
            $('#loteria_id').val('9');
            $('.trevo_seletor').removeClass('active');
            $('.selecao_qtd_trevos').addClass('active');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option><option value="1">Teimosinha de 2</option><option value="2">Teimosinha de 3</option><option value="3">Teimosinha de 4</option><option value="5">Teimosinha de 5</option>');
            break;
        default:
            $('#loteria_id').val('2');
            $('#teimosinhavalor').append('<option value="0">Sem Teimosinha</option>');
            break;
    }
});


function obterUltimoJogoAdicionado() {
    var _0xa60006 = document['querySelector']('div.numeros-volante');

    if (_0xa60006) {
        var _0x5bc705 = _0xa60006['querySelectorAll']('span'), _0x126cab = [];

        for (var _0x45f4a2 = 0x0; _0x45f4a2 < _0x5bc705['length']; _0x45f4a2++) {
            var _0x525b85 = _0x5bc705[_0x45f4a2]; _0x126cab['push'](_0x525b85['textContent']);
        }

        var _0x28b7e1 = _0x126cab['join']('\x20');
    } return _0x28b7e1;
}

function obterUltimoJogoAdicionadoSuperSete() {
    const _0x22b81e = document['querySelector']('.box-numeros-escolhidos-super-sete');
    var _0x1c00ee = '';

    if (_0x22b81e) {
        const _0x172abb = _0x22b81e['querySelectorAll']('.flexbox-column');

        _0x172abb['forEach']((_0x355dc1, _0x1f0d9b) => {
            const _0xb2bc9e = _0x355dc1['querySelectorAll']('span');
            if (_0xb2bc9e['length'] > 0x1) _0xb2bc9e['forEach']((_0x2e70c7, _0x30554f) => {
                const _0x5b977f = _0x2e70c7['textContent']['trim'](), _0x41f16c = 'C' + (_0x1f0d9b + 0x1) + '-' + _0x5b977f; _0x1c00ee += _0x41f16c, _0x30554f !== _0xb2bc9e['length'] - 0x1 && (_0x1c00ee += ',');
            });
            else {
                const _0x24c875 = _0xb2bc9e[0x0]['textContent']['trim'](), _0x526225 = 'C' + (_0x1f0d9b + 0x1) + '-' + _0x24c875; _0x1c00ee += _0x526225;
            }

            _0x1f0d9b !== _0x172abb['length'] - 0x1 && (_0x1c00ee += ',');
        });
    } return _0x1c00ee;
}

function injetarCodigo(codigo, modalidade, tipoJogo, mesDeSorte, numeros, timeCoracao, quantidadeTeimosinhas, quantidadeTrevo) {

    if (quantidadeTrevo != 0x0) {
        for (var i = 0x0; i < quantidadeTrevo; i++) {
            document.getElementById('aumentarnumero').click();
        };
    }

    if (modalidade == '3' && tipoJogo == 'com') {
        document.getElementById('apostaEspelho').click();
    }

    if (modalidade == '5') {
        var mesSelecionado = mesDeSorte;
        var mesesSorte = document.getElementsByClassName('data-selecionar-mes-de-sorte');
        mesesSorte[mesSelecionado].click();
    }

    if (modalidade == '8') {
        var times = document.querySelectorAll('li.data-selecionar-time-do-coracao span.nomeTime');
        var timeSelecionado;

        for (var j = 0x0; j < times.length; j++) {
            if (times[j].textContent.indexOf(timeCoracao) !== -0x1) {
                timeSelecionado = times[j];
                break;
            }
        }

        if (timeSelecionado) {
            var liElement = timeSelecionado.closest('li');
            liElement && liElement.click();
        }
    }

    if (quantidadeTeimosinhas != 0x0) {
        for (var i = 0x0; i < quantidadeTeimosinhas; i++) {
            document.getElementById('aumentarteimosinha').click();
        }
    }

    if (modalidade == '9') {
        for (var j = 0x2; j < numeros.length; j++) {
            document.querySelector('#step6 #aumentarnumero').click();
        };

        for (var k = 0x0; k < numeros.length; k++) {
            var trevo;
            trevo = document.getElementById('trevo' + numeros[k]);

            if (trevo != null) trevo.click();
        }
    }

    var numerosArray = codigo.split('\x20');

    if (modalidade == '7') {
        for (var j = 0x0; j < numerosArray.length; j++) {
            var numero;
            numero = document.getElementById(numerosArray[j]);

            if (numero != null) numero.click();
        }
    } else {
        for (var j = 0x0; j < numerosArray.length; j++) {
            var elemento;

            if (modalidade == '9')
                var numeroInteiro = parseInt(numerosArray[j]);
            else var numeroInteiro = numerosArray[j];

            elemento = document.getElementById('n' + numeroInteiro);

            if (elemento != null) elemento.click();
        }
    }

    document.getElementById('colocarnocarrinho').click();
    document.getElementById('limparvolante').click();
    return true;
}


function selecionarJogo(codigo, modalidade, tipoJogo, mesDeSorte, timeCoracao, numeros, quantidadeTeimosinhas, quantidadeTrevo) {
    let tabInfo = getCurrentTab();
    var scriptArgs = {};
    scriptArgs.tabId = tabInfo.id;
    var scriptOptions = {};
    scriptOptions.target = scriptArgs;
    scriptOptions.func = injetarCodigo;
    scriptOptions.args = [codigo, modalidade, tipoJogo, mesDeSorte, timeCoracao, numeros, quantidadeTeimosinhas, quantidadeTrevo];
    chrome.scripting.executeScript(scriptOptions, result => { });
}

function eliminarRepetidos(elemento, indice, array) {
    return array.indexOf(elemento) === indice;
}


jQuery(document)['on']('change', '#jogos_box', function (_0x1e8fbc) {
    var _0x34f7f7 = document['getElementById']('jogos_box')['value'];
    localStorage['setItem']('jogos_salvar', _0x34f7f7);
});

function getTrevosAleatorios(_0x109e29) {
    var _0x20fb21 = new Array('1', '2', '3', '4', '5', '6'), _0x410c44 = new Array(_0x109e29), _0x382a8d = _0x20fb21['length'], _0x2264c5 = new Array(_0x382a8d);

    if (_0x109e29 > _0x382a8d)
        throw new RangeError('getRandom:\x20more\x20elements\x20taken\x20than\x20available');

    while (_0x109e29--) {
        var _0x4638cd = Math['floor'](Math['random']() * _0x382a8d); _0x410c44[_0x109e29] = _0x20fb21[_0x4638cd in _0x2264c5 ? _0x2264c5[_0x4638cd] : _0x4638cd], _0x2264c5[_0x4638cd] = --_0x382a8d in _0x2264c5 ? _0x2264c5[_0x382a8d] : _0x382a8d;
    }
    return _0x410c44;
}

function getTimeAleatorio(_0x3852fb) {

    var _0x51066e = new Array('ABC/RN', 'ALTOS/PI', 'AMERICA/MG', 'AMERICA/RN', 'APARECIDENSE/GO', 'ATHLETICO/PR', 'ATLETICO/AC', 'ATLETICO/CE', 'ATLETICO/GO', 'ATLETICO/MG', 'AVAI/SC', 'BAHIA/BA', 'BOA\x20ESPORTE/MG', 'BOAVISTA/RJ', 'BOTAFOGO/PB', 'BOTAFOGO/RJ', 'BOTAFOGO/SP', 'BRAGANTINO/SP', 'BRASIL/RS', 'BRASILIENSE/DF', 'BRUSQUE/SC', 'CAMPINENSE/PB', 'CAXIAS/RS', 'CEARA/CE', 'CHAPECOENSE/SC', 'CIANORTE/PR', 'CONFIANCA/SE', 'CORINTHIANS/SP', 'CORITIBA/PR', 'CRB/AL', 'CRICIUMA/SC', 'CRUZEIRO/MG', 'CSA/AL', 'CUIABA/MT', 'FERROVIARIA/SP', 'FERROVIARIO/CE', 'FIGUEIRENSE/SC', 'FLAMENGO/RJ', 'FLORESTA/CE', 'FLUMINENSE/RJ', 'FORTALEZA/CE', 'GOIAS/GO', 'GREMIO/RS', 'GUARANI/SP', 'IMPERATRIZ/MA', 'INTERNACIONAL/RS', 'ITUANO/SP', 'JACUIPENSE/BA', 'JOINVILLE/SC', 'JUAZEIRENSE/BA', 'JUVENTUDE/RS', 'LONDRINA/PR', 'LUVERDENSE/MT', 'MANAUS/AM', 'MIRASSOL/SP', 'MOTO\x20CLUB/MA', 'NAUTICO/PE', 'NOVORIZONTINO/SP', 'OESTE/SP', 'OPERARIO/PR', 'PALMEIRAS/SP', 'PARANA/PR', 'PAYSANDU/PA', 'PONTE\x20PRETA/SP', 'REMO/PA', 'SAMP\x20CORREA/MA', 'SANTA\x20CRUZ/PE', 'SANTOS/SP', 'SAO\x20BENTO/SP', 'SAO\x20JOSE/RS', 'SAO\x20PAULO/SP', 'SAORAIMUNDO/RR', 'SPORT/PE', 'TOMBENSE/MG', 'TREZE/PB', 'VASCO\x20DA\x20GAMA/RJ', 'VILA\x20NOVA/GO', 'VITORIA/BA', 'VOLTA\x20REDONDA/RJ', 'YPIRANGA/RS'), _0x3c4889 = new Array(_0x3852fb), _0x15ded5 = _0x51066e['length'], _0x31046b = new Array(_0x15ded5);

    if (_0x3852fb > _0x15ded5)
        throw new RangeError('getRandom:\x20more\x20elements\x20taken\x20than\x20available');

    while (_0x3852fb--) {
        var _0x5b2bd2 = Math['floor'](Math['random']() * _0x15ded5); _0x3c4889[_0x3852fb] = _0x51066e[_0x5b2bd2 in _0x31046b ? _0x31046b[_0x5b2bd2] : _0x5b2bd2], _0x31046b[_0x5b2bd2] = --_0x15ded5 in _0x31046b ? _0x31046b[_0x15ded5] : _0x15ded5;
    }

    return _0x3c4889[0x0];
}

function getMesAleatorio(_0x4226a8) {
    var _0x3dc51d = new Array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11'), _0x3b7a5c = new Array(_0x4226a8), _0x4f4a71 = _0x3dc51d['length'], _0x34f2b6 = new Array(_0x4f4a71);

    if (_0x4226a8 > _0x4f4a71)
        throw new RangeError('getRandom:\x20more\x20elements\x20taken\x20than\x20available');

    while (_0x4226a8--) {
        var _0x4221ad = Math['floor'](Math['random']() * _0x4f4a71);

        _0x3b7a5c[_0x4226a8] = _0x3dc51d[_0x4221ad in _0x34f2b6 ? _0x34f2b6[_0x4221ad] : _0x4221ad], _0x34f2b6[_0x4221ad] = --_0x4f4a71 in _0x34f2b6 ? _0x34f2b6[_0x4f4a71] : _0x4f4a71;
    }

    return _0x3b7a5c[0x0];
}

function verificarUltimoJogoAdicionado(_0x10ff1c) {
    var _0x3c08e0 = {};
    _0x3c08e0['active'] = !![], _0x3c08e0['currentWindow'] = !![], chrome['tabs']['query'](_0x3c08e0, function (_0x4ce094) {

        if (_0x4ce094['length'] > 0x0) {
            var _0x376b13 = {};
            _0x376b13['tabId'] = _0x4ce094[0x0]['id'];
            var _0x3ecda8 = {};
            _0x3ecda8['target'] = _0x376b13, _0x3ecda8['func'] = obterUltimoJogoAdicionado, chrome['scripting']['executeScript'](_0x3ecda8, _0x3090ec => {

                if (_0x3090ec && _0x3090ec['length'] > 0x0) {
                    const _0x3d926a = _0x3090ec[0x0]['result'];
                    _0x10ff1c(_0x3d926a);
                }
                else
                    _0x10ff1c(null);
            });
        }
    });
}

function verificarUltimoJogoAdicionadoSuperSete(_0x23472c) {
    var _0x151746 = {};
    _0x151746['active'] = !![], _0x151746['currentWindow'] = !![], chrome['tabs']['query'](_0x151746, function (_0x45ff61) {

        if (_0x45ff61['length'] > 0x0) {
            var _0x193f03 = {};
            _0x193f03['tabId'] = _0x45ff61[0x0]['id'];
            var _0x9f0672 = {};
            _0x9f0672['target'] = _0x193f03, _0x9f0672['func'] = obterUltimoJogoAdicionadoSuperSete, chrome['scripting']['executeScript'](_0x9f0672, _0xafeb03 => {

                if (_0xafeb03 && _0xafeb03['length'] > 0x0) {
                    const _0x16286f = _0xafeb03[0x0]['result']; _0x23472c(_0x16286f);

                }
                else
                    _0x23472c(null);
            });
        }
    });
}

function importarPalpite(_0x5d6aad, _0x2ebc0a, _0x331155) {
    let _0x3a7ed9 = '';
    var _0x3c3946 = {};
    _0x3c3946['active'] = !![], _0x3c3946['currentWindow'] = !![], chrome['tabs']['query'](_0x3c3946, function (_0x34fd35) {

        if (_0x34fd35['length'] > 0x0) {
            _0x3a7ed9 = _0x34fd35[0x0];
            let _0x53b80e = _0x3a7ed9['url'], _0x49d08b = _0x5d6aad;

            if (_0x53b80e != 'https://www.loteriasonline.caixa.gov.br/silce-web/#/home') {
                var _0x26dab0 = document['getElementById']('jogos_box'), _0xbad25 = _0x26dab0['value'], _0x169b1c = _0xbad25['split']('\x0a'); if (!_0xbad25 || _0xbad25 == null) clearInterval(_0x49d08b);
                else {
                    var _0x56d0a1 = _0x169b1c[0x0];
                    let _0x8e734d = null, _0x3245df = null, _0x14291b = null, _0x33b469 = null;
                    var _0xf2398 = $('#selecao_qtd_trevos')['val'](), _0x1eb592 = $('#timeCoracao')['val']();
                    let _0x1e881c = _0x56d0a1['split'](/[#]+/);
                    var _0x3009d9 = _0x1e881c[0x0]['split'](/[	 ,.-]+/);
                    let _0x13bc25 = [];
                    var _0x24be65 = '';
                    _0x1e881c['length'] > 0x1 && (_0x24be65 = _0x1e881c[0x1]);
                    jogo_completo_formatado = new Array();

                    for (var _0x3446e8 = 0x0; _0x3446e8 < _0x3009d9['length'];
                        _0x3446e8++) {
                        var _0x45bef8 = _0x3009d9[_0x3446e8]['replace'](/\s+/g, '');
                        _0x45bef8 != '' && (_0x2ebc0a != '7' && (_0x45bef8 = _0x45bef8['padStart'](0x2, '0')), jogo_completo_formatado['push'](_0x45bef8));
                    } if (_0x2ebc0a == '3') {
                        var _0x5c9cb3 = jogo_completo_formatado['indexOf']('00'); _0x5c9cb3 !== -0x1 && (jogo_completo_formatado['splice'](_0x5c9cb3, 0x1), jogo_completo_formatado['push']('00'));
                    }
                    var _0xfdb57f = jogo_completo_formatado['length']; if (_0xfdb57f > 0x4) {

                        switch (_0x2ebc0a) {
                            case '1':
                                var _0x595f34 = _0xfdb57f - 0x6;
                                break;
                            case '2':
                                var _0x595f34 = _0xfdb57f - 0xf;
                                break;
                            case '3':
                                var _0x595f34 = 0x0;
                                // _0x8e734d = $('#apostarespelho')['val']();
                                _0x8e734d = 0;
                                break;
                            case '4':
                                var _0x595f34 = _0xfdb57f - 0x5;
                                break;
                            case '5':
                                var _0x595f34 = _0xfdb57f - 0x7; _0x3245df = $('#mesescolhido')['val']();

                                if (_0x3245df == 'jogo')

                                    switch (_0x24be65) {
                                        case 'Janeiro': _0x3245df = '0';
                                            break;
                                        case 'Fevereiro': _0x3245df = '1';
                                            break;
                                        case 'Março': _0x3245df = '2';
                                            break;
                                        case 'Abril': _0x3245df = '3';
                                            break;
                                        case 'Maio': _0x3245df = '4';
                                            break;
                                        case 'Junho': _0x3245df = '5';
                                            break;
                                        case 'Julho': _0x3245df = '6';
                                            break;
                                        case 'Agosto': _0x3245df = '7';
                                            break;
                                        case 'Setembro': _0x3245df = '8';
                                            break;
                                        case 'Outubro': _0x3245df = '9';
                                            break;
                                        case 'Novembro': _0x3245df = '10';
                                            break;
                                        case 'Dezembro': _0x3245df = '11';
                                            break;
                                        default:
                                            _0x3245df = getMesAleatorio(0x1);
                                            break;
                                    }

                                _0x3245df == 'variados' && (_0x3245df = getMesAleatorio(0x1));
                                break;
                            case '6':
                                var _0x595f34 = _0xfdb57f - 0x6;
                                break;
                            case '8':
                                var _0x595f34 = 0x0;

                                if
                                    (_0x1eb592 == 'variados') _0x14291b = getTimeAleatorio(0x1);
                                else
                                    _0x1eb592 == 'jogo' ? _0x24be65 != '' ? _0x14291b = _0x24be65 : _0x14291b = getTimeAleatorio(0x1) : _0x14291b = _0x1eb592;
                                break;
                            case '9':
                                var _0x595f34 = _0xfdb57f - 0x6;
                                _0xf2398 != 'jogo' ? _0x33b469 = getTrevosAleatorios(_0xf2398) : _0x24be65 != '' ? _0x33b469 = _0x24be65['split'](',') : _0x33b469 = getTrevosAleatorios('2');
                                break;
                        }

                        jogo_dezenas = jogo_completo_formatado;
                        var _0x50908c = jogo_dezenas['toString'](), _0x50908c = _0x50908c['replaceAll'](',', '\x20'), _0x89a567 = ![];

                        verificarUltimoJogoAdicionado(_0x11fb5c => {
                            var _0x471265 = _0x11fb5c;

                            if (_0x471265 != _0x50908c) {
                                var _0x2b9d68 = {};
                                _0x2b9d68['tabId'] = _0x3a7ed9['id'];
                                var _0x12eea5 = {};
                                _0x12eea5['target'] = _0x2b9d68, _0x12eea5['func'] = injetarCodigo, _0x12eea5['args'] = [_0x50908c, _0x2ebc0a, _0x8e734d, _0x3245df, _0x33b469, _0x14291b, _0x331155, _0x595f34], chrome['scripting']['executeScript'](_0x12eea5, _0x50897c => { });
                            }
                            else
                                _0x89a567 = !![];
                        }), setTimeout(() => {
                            verificarUltimoJogoAdicionado(_0x394e78 => {
                                var _0x2cd7a2 = _0x394e78;

                                if (_0x2cd7a2 == _0x50908c) {

                                    if (!_0x89a567) {
                                        _0x169b1c['shift'](), jogos_sem_primeiro_item = _0x169b1c['join']('\x0a'), _0x26dab0['value'] = jogos_sem_primeiro_item;
                                        var _0x2b1a2f = $('#jogo_importando')['text']();
                                        $('#jogo_importando')['html'](parseInt(_0x2b1a2f) + 1);
                                    } else {
                                        _0x169b1c['shift'](), jogos_sem_primeiro_item = _0x169b1c['join']('\x0a'), _0x26dab0['value'] = jogos_sem_primeiro_item;
                                        var _0x2b1a2f = $('#jogo_importando')['text']();
                                    }
                                }
                            });
                        }, 0x5dc);
                    }
                }
            } else {
                let _0x1cc239 = document['getElementById']('modalidade_code'), _0x548fce = _0x1cc239['value'];
                var _0x428688 = {};
                _0x428688['tabId'] = _0x3a7ed9['id'];
                var _0x24c1d4 = {};
                _0x24c1d4['target'] = _0x428688, _0x24c1d4['func'] = selecionarLoteria, _0x24c1d4['args'] = [_0x548fce], chrome['scripting']['executeScript'](_0x24c1d4, _0x50a124 => { });
            }
        }
    });
}

function importarPalpiteSuperSete(_0x29c7fe, _0x7afd1c, _0x3e1e49) {
    let _0x3f062f = '';
    var _0x288173 = {}; _0x288173['active'] = !![], _0x288173['currentWindow'] = !![], chrome['tabs']['query'](_0x288173, function (_0x104c19) {

        if (_0x104c19['length'] > 0x0) {
            _0x3f062f = _0x104c19[0x0];
            let _0x51323c = _0x3f062f['url'], _0x11796c = _0x29c7fe;

            if (_0x51323c != 'https://www.loteriasonline.caixa.gov.br/silce-web/#/home') {

                var _0x133d41 = document['getElementById']('jogos_box'), _0x5474d1 = _0x133d41['value'], _0x2691c0 = _0x5474d1['split']('\x0a');

                if (!_0x5474d1 || _0x5474d1 == null)
                    clearInterval(_0x11796c);
                else {
                    let _0x53b800 = null, _0x34c7fe = null, _0x4cf357 = null;

                    var _0x1744b8 = null, _0x1b99da = $('#selecao_qtd_trevos')['val'](), _0x1b99da = _0x1b99da['split']('-'), _0x573ae1 = _0x2691c0[0x0], _0x18ec07 = _0x2691c0[0x0]['split'](','); jogo_completo_formatado = new Array();

                    for (var _0x5049dc = 0x0;
                        _0x5049dc < _0x18ec07['length'];
                        _0x5049dc++) {

                        var _0xfd5aab = _0x18ec07[_0x5049dc]['split']('-'), _0x1cd49e = parseInt(_0xfd5aab[0x1]), _0x306fca = _0xfd5aab[0x0]['toString']();

                        switch (_0x306fca) {
                            case 'C1':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x1)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x1)['toString']();
                                        break;
                                }
                                break;
                            case 'C2':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x2)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x2)['toString']();
                                        break;
                                }
                                break;
                            case 'C3':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x3)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x3)['toString']();
                                        break;
                                }
                                break;
                            case 'C4':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x4)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x4)['toString']();
                                        break;
                                }
                                break;
                            case 'C5':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x5)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x5)['toString']();
                                        break;
                                }
                                break;
                            case 'C6':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x6)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x6)['toString']();
                                        break;
                                }
                                break;
                            case 'C7':
                                switch (_0x1cd49e) {
                                    case 0x0:
                                        var _0x28c9de = 'n' + (0x0 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x1:
                                        var _0x28c9de = 'n' + (0x1 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x2:
                                        var _0x28c9de = 'n' + (0x2 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x3:
                                        var _0x28c9de = 'n' + (0x3 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x4:
                                        var _0x28c9de = 'n' + (0x4 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x5:
                                        var _0x28c9de = 'n' + (0x5 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x6:
                                        var _0x28c9de = 'n' + (0x6 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x7:
                                        var _0x28c9de = 'n' + (0x7 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x8:
                                        var _0x28c9de = 'n' + (0x8 * 0x7 + 0x7)['toString']();
                                        break;
                                    case 0x9:
                                        var _0x28c9de = 'n' + (0x9 * 0x7 + 0x7)['toString']();
                                        break;
                                }
                                break;
                        }

                        jogo_completo_formatado['push'](_0x28c9de);

                    }

                    var _0x14e77d = jogo_completo_formatado['length'];

                    if (_0x14e77d >= 0x7 && _0x14e77d <= 0x15) {
                        jogo_completo_formatado['sort'](), jogo_dezenas = jogo_completo_formatado;
                        var _0x48c29b = jogo_dezenas['length'] - 0x7, _0x115ad3 = jogo_dezenas['toString'](), _0x115ad3 = _0x115ad3['replaceAll'](',', '\x20'), _0x56a567 = {};
                        _0x56a567['tabId'] = _0x3f062f['id'];
                        var _0x52ab4e = {};

                        _0x52ab4e['target'] = _0x56a567, _0x52ab4e['func'] = injetarCodigo, _0x52ab4e['args'] = [_0x115ad3, _0x7afd1c, _0x53b800, _0x34c7fe, _0x1744b8, _0x4cf357, _0x3e1e49, _0x48c29b], chrome['scripting']['executeScript'](_0x52ab4e, _0xaa10a3 => { }), setTimeout(() => {
                            verificarUltimoJogoAdicionadoSuperSete(_0x14a124 => {
                                if (_0x14a124 == _0x573ae1) {
                                    _0x2691c0['shift'](), jogos_sem_primeiro_item = _0x2691c0['join']('\x0a'), _0x133d41['value'] = jogos_sem_primeiro_item; var _0x132a06 = $('#jogo_importando')['text'](); $('#jogo_importando')['html'](parseInt(_0x132a06) + 0x1);

                                }
                            });
                        }, 0x4b0);
                    }
                }
            } else {
                let _0x50fa2f = document['getElementById']('modalidade_code'), _0x189410 = _0x50fa2f['value'];
                var _0xae6afb = {};
                _0xae6afb['tabId'] = _0x3f062f['id'];
                var _0x12c13c = {};
                _0x12c13c['target'] = _0xae6afb, _0x12c13c['func'] = selecionarLoteria, _0x12c13c['args'] = [_0x189410], chrome['scripting']['executeScript'](_0x12c13c, _0x1c226a => { });
            }
        }
    });
}

let importar_jogos_btn = document.getElementById('btn_importar');

importar_jogos_btn.addEventListener('click', async () => {
    document.getElementById('fileToComplete').click();

    document.getElementById('fileToComplete').addEventListener('change', function (e) {
        const file = e.target.files[0];

        if (file) {
            const reader = new FileReader();

            reader.onload = function (e) {
                contentUnified = e.target.result;

                var textarea = document.getElementById("jogos_box");

                textarea.value = contentUnified;

                // Atualiza o texto do label com o nome do arquivo selecionado
                document.getElementById('fileToCompleteLabel').textContent = 'Arquivo : ' + file.name;
            };

            reader.readAsText(file);
        } else {
            // Caso o usuário cancele a seleção
            document.getElementById('fileToCompleteLabel').textContent = 'Nenhum arquivo selecionado';
        }
    });
})

let limpar_btn = document.getElementById('btn_limpar');

limpar_btn.addEventListener('click', async () => {
    $('#jogos_box').val('');
    $('#total_jogos').html('0');
    $('.contador_jogos').removeClass('active');
    $('.tempo_estimado').removeClass('active');
    localStorage.removeItem('jogos_salvar');

})

let enviar_btn = document['getElementById']('btn_enviar');

enviar_btn.addEventListener('click', async () => {
    var _0x20f80b = document['getElementById']('jogos_box'), _0x5cf59d = _0x20f80b['value'], _0x8761c = _0x5cf59d['split']('\x0a'), _0x251798 = _0x8761c['filter'](function (_0x3271cd) {
        return _0x3271cd['trim']() !== '';
    });

    _0x8761c = _0x251798['filter'](eliminarRepetidos), linhas_formatadas_textarea = _0x8761c['join']('\x0a'), _0x20f80b['value'] = linhas_formatadas_textarea;

    // var _0x13a983 = $('#loteria_id')['val'](), _0x434f0c = $('#teimosinhavalor')['val'](), _0x42c5de = _0x8761c['length'];
    var _0x13a983 = $('#loteria_id')['val'](), _0x434f0c = 0, _0x42c5de = _0x8761c['length'];

    $('#total_jogos')['html'](_0x42c5de), $('.contador_jogos')['addClass']('active'), $('.tempo_estimado')['addClass']('active');

    var _0x4baf27 = 0xbb8, _0x5e0a68 = _0x42c5de * (_0x4baf27 / 0x3e8);

    if (_0x5e0a68 < 0x3c) {
        _0x5e0a68 = Math['round'](_0x5e0a68);
        var _0x1f9fc3 = _0x5e0a68 + '\x20segundo(s)';
        $('.tempo_estimado')['html'](_0x1f9fc3);
    } else {
        _0x5e0a68 = _0x5e0a68 / 0x3c, _0x5e0a68 = Math['round'](_0x5e0a68);
        var _0x1f9fc3 = _0x5e0a68 + '\x20minuto(s)';
        $('.tempo_estimado')['html'](_0x1f9fc3);
    }

    if (_0x13a983 != '7') {

        const _0x131879 = setInterval(function () {
            importarPalpite(_0x131879, _0x13a983, _0x434f0c);
        }, _0x4baf27);

    } else {

        const _0x70fffc = setInterval(function () {
            importarPalpiteSuperSete(_0x70fffc, _0x13a983, _0x434f0c);
        }, _0x4baf27);
    }

})
